
#ifndef __CONFIG_H__
#define __CONFIG_H__



typedef struct {
  int up,down,left,right;
  int b1,b2;
  int start;
} paddle;

typedef enum {
  FILTER_NORMAL,
  FILTER_BILINEAR,
  FILTER_SCANLINES50
} rendermode;

typedef enum {
  AUDIO_SDL,
  AUDIO_SEAL
} audiocore;

typedef struct {
  rendermode render_mode;
  int current_screenshot;
  audiocore audio_core;
  int sound_rate;
  int throttle;
  int state_slot; 
  int frame_skip;
  int start_fullscreen;
  int use_sram;
  char game_name[0x100];
  paddle pad[2];
} config;

extern config cfg;



#endif