
;----------------------
; Gondos part
;----------------------


	SECTION .data ALIGN = 32
mask dd 0x39E739E7,0x39E739E7;


	SECTION .text ; ALIGN = 32

dstptr    equ 8  ; p = sdl_scanline->pixels;
srcptr    equ 12 ; q = in->pixels;
srcheight equ 16 ;  int _edx = in->h - 1;
srcpitch  equ 20 ;  int _ecx = in->pitch;
dstwidth  equ 24 ;  int _ebx = sdl_scanline->w / 8;


	GLOBAL _scanlinesMMX50
_scanlinesMMX50:


	push ebp 
	mov ebp,esp
	pushad
	emms

		mov edi,[ebp+dstptr] ;p
		mov esi,[ebp+srcptr] ;q
			
		movq mm7,[mask] ;qword ptr[mask]

		mov edx,[ebp+srcheight] ;_edx
		xor eax,eax
	
		mov ecx,[ebp+srcpitch] ;_ecx
		mov ebx,[ebp+dstwidth] ;_ebx

		mov eax,ebx
		align 16
sum:
		movq mm0,[esi] ;qword ptr[esi]
		movq mm1,mm0

		punpcklwd mm0,mm0
		movq mm2,[esi+ecx] ;qword ptr[esi+ecx]

		add edi,16
		punpckhwd mm1,mm1
		
		movq mm3,mm2
		punpcklwd mm2,mm2

		add esi,8
		movq [edi-16],mm0 ;qword ptr[edi-16],mm0
		punpckhwd mm3,mm3

		psrlq mm0,2
		
		movq [edi-8],mm1 ;qword ptr[edi-8],mm1
		dec eax

		psrlq mm1,2

		pand mm0,mm7
		psrlq mm2,2

		pand mm1,mm7
		psrlq mm3,2

		pand mm2,mm7
		pand mm3,mm7

		paddd mm0,mm2
		paddd mm1,mm3

		movq [edi+2*ecx-16],mm0 ;qword ptr[edi+2*ecx-16],mm0
		movq [edi+2*ecx-8],mm1 ;qword ptr[edi+2*ecx-8],mm1

		jnz sum
		dec edx

		mov eax,ebx

		lea edi,[edi+2*ecx]
		jnz sum

		align 4
lastline:
		movq mm0,[esi] ;qword ptr[esi]
		movq mm1,mm0

		add edi,16
		punpcklwd mm0,mm0

		add esi,8

		punpckhwd mm1,mm1
		dec eax

		movq [edi-16],mm0 ;qword ptr[edi-16],mm0
		movq [edi-8],mm1 ;qword ptr[edi-8],mm1
		jnz lastline

	popad
	mov esp, ebp
        pop ebp
        emms
	ret
  
  
